<?php

namespace Drupal\Jsonapi_text_enhancer\Plugin\jsonapi\FieldEnhancer;

use Drupal\jsonapi_extras\Plugin\ResourceFieldEnhancerBase;
use Shaper\Util\Context;

/**
 * Perform additional manipulations to timestamp fields.
 *
 * @ResourceFieldEnhancer(
 *   id = "text_processed",
 *   label = @Translation("Text: Just output processed"),
 *   description = @Translation("Text: Just output processed."),
 * )
 */
class TextEnhancer extends ResourceFieldEnhancerBase
{

  /**
   * {@inheritdoc}
   */
  protected function doUndoTransform($data, Context $context)
  {
    if (is_array($data)) {
      if (isset($data['value'])) {
        unset($data['value']);
      }
      if (isset($data['format'])) {
        unset($data['format']);
      }
    }
    return $data;
  }

  public function getOutputJsonSchema()
  {
    return [
      'type' => 'object',
    ];
  }

  protected function doTransform($data, Context $context)
  {
    return $data;
  }
}
